Skip to navigation

Add Cart Line Items

Adds line item to the Cart.

Usage Notes

To add a custom item use custom_items. Note that images are not supported for custom items; the image_url field is accepted but does not render on the storefront.

If a product has modifiers, omit the variant_id and instead use the option_selections array to describe both the variant and the modifier selections.

To prevent lost updates due to concurrent requests overriding changes made by others, it is recommended to enable optimistic concurrency control by including the version field in the request payload. If the provided version does not match the version on the server, a conflict error will be returned, which the client can handle accordingly.

Overridable fields

When adding a line item, you can override the following catalog values:

FieldDescription
list_priceOverride the product’s price. By default, overriding a product’s list_price makes it ineligible for V3 product-level promotions. In Store Settings under Promotions and Coupons in the control panel, you can change this behavior to allow promotions on overridden prices.
nameOverride the product name. Useful for locale-specific product names.
option_selections.nameOverride the name of an option or modifier selection. Useful for locale-specific option labels.
option_selections.valueOverride the value of an option or modifier selection. Useful for locale-specific option values.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Cartsmodifystore_cart
Cartsread-onlystore_cart_read_only
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

cartIdstringRequiredformat: "UUID"
The identifier of a specific cart.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

includelist of enumsOptional
  • redirect_urls: Create a direct link to a cart. This can be used for the /POST request for carts.
  • line_items.physical_items.options: The cart returns an abbreviated result. Use this to return physical items product options. To return the extended cart object, use in a /POST request.
  • line_items.digital_items.options: The cart returns an abbreviated result. Use this to return digital items product options. To return the extended cart object, use in a /POST request.
  • line_items.physical_items.stock_position: Returns backorder and stock availability details for physical items.
  • line_items.digital_items.stock_position: Returns backorder and stock availability details for digital items. Since digital products cannot be backordered, backorder values are always zero.
  • promotions.banners: Returns a list of eligible banners.

Request

This endpoint expects an object.
line_itemslist of objectsOptional
gift_certificateslist of objectsOptional
custom_itemslist of objectsOptional
versionintegerOptional

The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.

Response

The requested cart.
dataobjectOptional

A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.

metaobjectOptional
Response metadata.